{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Delete Paper Pattern
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Delete Paper Pattern
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">

                <div class="alert alert-danger" role="alert" align="center">
                    <ul>
                        <li>
                            <h4><strong>Quiz has attended for {{ staffCourseInstance.course }}
                                as listed.</strong></h4>
                        </li>
                        <li>
                            <h4><strong>Deleting Quiz pattern will delete the quiz marks for the following
                                students </strong></h4>
                            <h4><strong>Note: Before deleting the quiz, push the marks to internals</strong></h4>
                        </li>
                    </ul>
                </div>

                <form method="POST">{% csrf_token %}
                    <div class="col-md-offset-8">
                        <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCourseInstance.pk }}">
                        <input type="hidden" name="hiddenUnitTestNumber" value="{{ unitTestNumber }}">
                        <div align="right">
                            <button type="button" class="btn btn-danger btn-lg" data-toggle="modal"
                                    data-target="#deleteQuizConfirmation">
                                Delete
                            </button>
                        </div>
                        <div class="modal fade" id="deleteQuizConfirmation" tabindex="-1"
                             role="dialog"
                             aria-labelledby="conformmodal" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title">Delete Confirmation</h4>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-8 col-md-offset-2">
                                            <div>
                                                <h4 style="color: red">
                                                    This will delete all co marks mapped for the pattern. Continue?
                                                </h4>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-default"
                                                data-dismiss="modal">Close
                                        </button>
                                        <button type="submit" name="confirmDeleteQuiz" value=""
                                                class="btn1 btn1-danger">
                                            Confirm Delete
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

                <div>
                    <div class="x_content">
                        <form>
                            <div class="table-responsive">
                                <table class="table table-striped table-condensed table-hover">
                                    <thead>
                                    <tr>
                                        <th>S.No.</th>
                                        <th>Register Number</th>
                                        <th>Student Name</th>
                                        <th>Marks (Out of {{ dictionary.maximumMarks }})</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for each in dictionary.studentList %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>{{ each.registerNumber }}</td>
                                            <td>{{ each.studentName }}</td>
                                            <td>
                                                {% if each.attended == 'true' %}
                                                    <b>{{ each.totalMarks }}</b>
                                                {% else %}
                                                    Not Attended
                                                {% endif %}
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}